package com.ruoyi.system.service;

import com.ruoyi.system.domain.Dangan;

import java.util.List;

/**
 * 档案管理Service接口
 * 
 * @author ruoyi
 * @date 2022-10-20
 */
public interface IDanganService 
{
    /**
     * 查询档案管理
     * 
     * @param danganId 档案管理ID
     * @return 档案管理
     */
    public Dangan selectDanganById(Long danganId);

    /**
     * 查询档案管理列表
     * 
     * @param dangan 档案管理
     * @return 档案管理集合
     */
    public List<Dangan> selectDanganList(Dangan dangan);

    /**
     * 新增档案管理
     * 
     * @param dangan 档案管理
     * @return 结果
     */
    public int insertDangan(Dangan dangan);

    /**
     * 修改档案管理
     * 
     * @param dangan 档案管理
     * @return 结果
     */
    public int updateDangan(Dangan dangan);

    Dangan  selectDanganByDanganName(String danganName);

    /**
     * 批量删除档案管理
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteDanganByIds(String ids);

    /**
     * 删除档案管理信息
     * 
     * @param danganId 档案管理ID
     * @return 结果
     */
    public int deleteDanganById(Long danganId);

    /**
     * 校验名称是否唯一
     *
     * @param loginName 档案名称
     * @return 结果
     */
    public String checkDanganNameUnique(String loginName);

}
